[ARVADOS] updated: 387387da3888ddb6f715c7e10b475ddb777d2edc

Git user git at public.curoverse.com
Mon Aug 22 15:18:40 EDT 2016


Summary of changes:
 build/run-library.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

  discards  2b9d07af18b58b8a9c73620d58c07a10703802ea (commit)
       via  387387da3888ddb6f715c7e10b475ddb777d2edc (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (2b9d07af18b58b8a9c73620d58c07a10703802ea)
            \
             N -- N -- N (387387da3888ddb6f715c7e10b475ddb777d2edc)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 387387da3888ddb6f715c7e10b475ddb777d2edc
Author: Tom Clegg <tom at curoverse.com>
Date:   Mon Aug 22 15:18:30 2016 -0400

    9706: Use ${} interpolation syntax consistently.

diff --git a/build/go-package-scripts/postinst b/build/go-package-scripts/postinst
index 8559a97..0663465 100755
--- a/build/go-package-scripts/postinst
+++ b/build/go-package-scripts/postinst
@@ -5,25 +5,25 @@ set -e
 # NOTE: This package name detection will only work on Debian.
 # If this postinst script ever starts doing work on Red Hat,
 # we'll need to adapt this code accordingly.
-script="$(basename "$0")"
+script="$(basename "${0}")"
 pkg="${script%.postinst}"
 systemd_unit="${pkg}.service"
 
 case "${1}" in
     configure)
         if [ -e /run/systemd/system ]; then
-            eval "$(systemctl -p UnitFileState show "$systemd_unit")"
-            case "$UnitFileState" in
+            eval "$(systemctl -p UnitFileState show "${systemd_unit}")"
+            case "${UnitFileState}" in
                 disabled)
                     # Failing to enable or start the service is not a
                     # package error, so don't let errors here
                     # propagate up.
-                    systemctl enable "$systemd_unit" || true
-                    systemctl start "$systemd_unit" || true
+                    systemctl enable "${systemd_unit}" || true
+                    systemctl start "${systemd_unit}" || true
                     ;;
                 enabled)
                     systemctl daemon-reload || true
-                    systemctl reload-or-try-restart "$systemd_unit" || true
+                    systemctl reload-or-try-restart "${systemd_unit}" || true
                     ;;
             esac
         fi
diff --git a/build/go-package-scripts/prerm b/build/go-package-scripts/prerm
index 4e1399d..02772e4 100755
--- a/build/go-package-scripts/prerm
+++ b/build/go-package-scripts/prerm
@@ -5,15 +5,15 @@ set -e
 # NOTE: This package name detection will only work on Debian.
 # If this prerm script ever starts doing work on Red Hat,
 # we'll need to adapt this code accordingly.
-script="$(basename "$0")"
+script="$(basename "${0}")"
 pkg="${script%.prerm}"
 systemd_unit="${pkg}.service"
 
 case "${1}" in
     remove)
         if [ -e /run/systemd/system ]; then
-            systemctl stop "$systemd_unit" || true
-            systemctl disable "$systemd_unit" || true
+            systemctl stop "${systemd_unit}" || true
+            systemctl disable "${systemd_unit}" || true
         fi
         ;;
 esac
diff --git a/build/run-library.sh b/build/run-library.sh
index 485e0d2..4495a4e 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -105,13 +105,13 @@ package_go_binary() {
     systemd_unit="$WORKSPACE/${src_path}/${prog}.service"
     if [[ -e "${systemd_unit}" ]]; then
         switches+=(
-            --after-install "$WORKSPACE/build/go-package-scripts/postinst"
-            --before-remove "$WORKSPACE/build/go-package-scripts/prerm"
+            --after-install "${WORKSPACE}/build/go-package-scripts/postinst"
+            --before-remove "${WORKSPACE}/build/go-package-scripts/prerm"
             "${systemd_unit}=/lib/systemd/system/${prog}.service")
     fi
-    switches+=("$WORKSPACE/$license_file=/usr/share/doc/$prog/$license_file")
+    switches+=("$WORKSPACE/${license_file}=/usr/share/doc/$prog/${license_file}")
 
-    fpm_build "$GOPATH/bin/$basename=/usr/bin/$prog" "$prog" 'Curoverse, Inc.' dir "$version" "--url=https://arvados.org" "--license=GNU Affero General Public License, version 3.0" "--description=$description" "${switches[@]}"
+    fpm_build "$GOPATH/bin/${basename}=/usr/bin/${prog}" "${prog}" 'Curoverse, Inc.' dir "${version}" "--url=https://arvados.org" "--license=GNU Affero General Public License, version 3.0" "--description=${description}" "${switches[@]}"
 }
 
 default_iteration() {

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list